<p>
  <a href="https://tdesign.tencent.com/" target="_blank">
    <img alt="TDesign Logo" width="200" src="https://tdesign.gtimg.com/site/TDesign.png">
  </a>
</p>

TDesign 是一套完整的 [企业级设计体系](https://tdesign.tencent.com/design/values)，拥有基于 [Vue](https://tdesign.tencent.com/vue/) / [React](https://tdesign.tencent.com/react/) / [小程序](https://tdesign.tencent.com/miniprogram/) 等技术栈的组件库解决方案。  
用于构建 [设计统一](#一致) / [跨端多技术栈](#完整) 的前端应用时，TDesign 更有优势。

![TDesign](https://user-images.githubusercontent.com/88708072/147124305-fbb74f9f-65b2-44f9-9f1c-e812ce63a547.gif)

## 仓库

TDesign 是一个 `multi-repo`， TDesign 有如下代码仓库：

### 桌面端组件库

| 仓库                                                            | 描述                 | 状态     |
| --------------------------------------------------------------- | -------------------- | -------- |
| [tdesign-vue](https://github.com/Tencent/tdesign-vue)           | Vue 2.x 技术栈       | `Beta`   |
| [tdesign-vue-next](https://github.com/Tencent/tdesign-vue-next) | Vue 3.x 技术栈       | `Alpha`  |
| [tdesign-react](https://github.com/Tencent/tdesign-react)       | React 16.x 技术栈    | `Alpha`  |
| tdesign-angular                                                 | 基于 Angular 10 实现 | `待上线` |

### 移动端组件库

| 仓库                                                                  | 描述              | 状态     |
| --------------------------------------------------------------------- | ----------------- | -------- |
| [tdesign-miniprogram](https://github.com/Tencent/tdesign-miniprogram) | 微信小程序        | `Alpha`  |
| [tdesign-mobile-vue](https://github.com/Tencent/tdesign-mobile-vue)   | Vue 3.x 技术栈    | `Alpha` |
| tdesign-mobile-react                                                  | React 16.x 技术栈 | `待上线` |
| tdesign-flutter                                                       | 1.17.0            | `待上线` |

### 基础通用仓库

| 仓库                                                        | 描述                 |
| ----------------------------------------------------------- | -------------------- |
| [tdesign](https://github.com/Tencent/tdesign)               | TDesign 主仓库和文档 |
| [tdesign-icons](https://github.com/Tencent/tdesign-icons)   | TDesign 公共图标     |
| [tdesign-common](https://github.com/Tencent/tdesign-common) | TDesign 公共样式     |

### 解决方案及周边

| 仓库                                                                            | 描述                             |
| ------------------------------------------------------------------------------- | -------------------------------- |
| [tdesign-starter-cli](https://github.com/Tencent/tdesign-starter-cli)           | TDesign 解决方案的脚手架         |
| [tdesign-vue-starter](https://github.com/Tencent/tdesign-vue-starter)           | 基于 tdesign-vue 的解决方案      |
| [tdesign-vue-next-starter](https://github.com/Tencent/tdesign-vue-next-starter) | 基于 tdesign-vue-next 的解决方案 |
| [tdesign-react-starter](https://github.com/Tencent/tdesign-react-starter)       | 基于 tdesign-react 的解决方案    |
| [tdesign-miniprogram-starter-retail](https://github.com/Tencent/tdesign-miniprogram-starter-retail)       | 基于 tdesign-miniprogram 的零售行业解决方案    |

## 为什么会有 TDesign

在过去，腾讯有许多设计体系和组件库类型的项目，围绕产品做“去中心化”的快速迭代。

2019 年腾讯成立了[开源协同委员会](https://m.thepaper.cn/yidian_promDetail.jsp?contid=4653692&from=tdesign)，通过内部开源协同的方式，把同类技术产品的不同团队组织到一起共建。

TDesign 正是腾讯开源协同下前端和设计领域的协作产物，期待共建出一个完善且通用的设计体系和组件库产品。

![image](https://user-images.githubusercontent.com/7600149/147126818-0e5a5b2d-a833-4107-b654-442f3a1098c5.png)

## TDesign 的发展

TDesign 在创建之初就秉承开源协作的原则，包括源代码在内的[协作方案讨论](https://github.com/Tencent/tdesign/wiki)、[组件设计](https://github.com/Tencent/tdesign/wiki)及 [API 制定](https://github.com/Tencent/tdesign/wiki)的过程也完全在公司内部开放，得到了内部开发和设计同学的广泛关注。无论以什么身份参与，TDesign 都同样遵循平等、公开、严格的原则来对待。

很多同学从个人项目中试用组件库开始，到提交第一个 `Bug Issue`，再到提交第一个 `Feature MR`，最后逐步参与到 `Code Review` 和方案制定工作中，成为核心贡献者。在过去的一年中，TDesign 关闭了 1k+ `Issue`，进行了 5k+ 次 `CR`，保持 [每周迭代](https://tdesign.tencent.com/vue/components/changelog) 发布新版本。

组件库目前支持[多个端和主流技术栈](#仓库)，桌面端 Vue2 已发布 `Beta` 版本，桌面端 Vue3、React 和移动端 Vue3 、微信小程序发布 `Alpha` 内测版本。

## 为什么开源

通过开源，TDesign 期望持续打磨出更加完善易用的组件库，收获丰富的生态。

借助社区，TDesign 期望与更多产品设计和开发者持续交流，成为更加有价值的产品。

对 TDesign 而言，开源是一个新的起点。

TDesign 后续发展规划请参阅 [后续计划](https://github.com/Tencent/tdesign/projects/1)。

## 产品特性

#### 完整

- 支持了 [Vue 2](https://tdesign.tencent.com/vue/)、[Vue 3](https://tdesign.tencent.com/vue-next/)、[React](https://tdesign.tencent.com/react/) 和移动端 [Vue 3](https://tdesign.tencent.com/vue-mobile/)、[微信小程序](https://tdesign.tencent.com/miniprogram/) 的开发，其他技术栈如 Augular、Flutter 正在开发中
- 提供丰富多样的[设计资源](#设计资源)，包括 Figma、Adobe XD、Sketch 等，将设计师从重复劳动中释放出来
- 提供辅助设计工具如 [Sketch 设计插件](https://tdesign.tencent.com/source)，也支持在腾讯 CoDesign、即时设计、Pixso、墨刀等市面常用设计工具中使用

![image](https://user-images.githubusercontent.com/7600149/147127234-7961b616-90b6-4197-8676-c041c161ac0d.png)

#### 一致

- 拥有统一的[设计价值观](https://tdesign.tencent.com/design/values)和[视觉风格](https://tdesign.tencent.com/design/color)，帮助产品在跨端设计和开发过程中保持一致的产品使用体验
- 各技术栈产物 [API 定义](https://tdesign.tencent.com/apis)和实现保持一致，在构建统一/多端覆盖/跨技术栈的前端应用时更有优势

![image](https://user-images.githubusercontent.com/7600149/168031968-267c60f1-efaa-498d-a230-a6e0a8093402.png)

#### 易用

- 提炼不同业务、场景的设计经验，提供通用的设计指南以降低使用门槛
- 支持使用者通过 [Design Token](https://tdesign.tencent.com/design/color#header-21) 对设计风格进行扩展
- 提供 [Starter Kit](https://tdesign.tencent.com/starter/) 帮助使用者快速上手

![image](https://user-images.githubusercontent.com/7600149/147127377-6f7e95f6-cfa8-459a-86e0-058c545d34f3.png)

## 文档

- [介绍](https://tdesign.tencent.com/about/introduce)
- [参与贡献](https://tdesign.tencent.com/about/contributing)
- [基础组件](https://tdesign.tencent.com/)
- [解决方案](https://tdesign.tencent.com/starter/)
- [中后台设计指南](https://tdesign.tencent.com/design/offices)

更多文档在 [TDesign 官网](https://tdesign.tencent.com/)。

## 设计指南

TDesign 将腾讯内部多年设计经验提炼总结为专业的设计指南，提供的通用设计解决方案。

- [设计价值观](https://tdesign.tencent.com/design/values)
- [色彩](https://tdesign.tencent.com/design/color)
- [字体](https://tdesign.tencent.com/design/fonts)
- [动效](https://tdesign.tencent.com/design/motion)
- [图标](https://tdesign.tencent.com/design/icon)
- [布局](https://tdesign.tencent.com/design/layout)
- [暗黑模式](https://tdesign.tencent.com/design/dark)

更多内容参考每个组件的指南部分，例如：[Button](https://tdesign.tencent.com/vue/components/button?tab=design)。

## 设计资源

为了实现开发与设计之间的高效协同，TDesign 中包含了丰富可复用的设计组件资源：

- [Figma 设计资源](https://www.figma.com/@tencent)
- [Sketch、Axure、Adobe XD 等设计资源](https://tdesign.tencent.com/source)
- [TDesign Maker: 一款来自 TDesign 的 Sketch 插件](https://tdesign.tencent.com/source)

## 贡献者

❤️ 感谢 TDesign 所有的贡献者，他们是超过 270 位伙伴们：

<div id="list" style="display: flex; flex-wrap: wrap"><a href="https://github.com/aandyzhang"><img width="40px;" src="https://avatars.githubusercontent.com/aandyzhang"> </a><a href="https://github.com/AGenal"><img width="40px;" src="https://avatars.githubusercontent.com/AGenal"> </a><a href="https://github.com/zhwachen"><img width="40px;" src="https://avatars.githubusercontent.com/zhwachen"> </a><a href="https://github.com/realyuyanan"><img width="40px;" src="https://avatars.githubusercontent.com/realyuyanan"> </a><a href="https://github.com/MrGaoGang"><img width="40px;" src="https://avatars.githubusercontent.com/MrGaoGang"> </a><a href="https://github.com/iAmber"><img width="40px;" src="https://avatars.githubusercontent.com/iAmber"> </a><a href="https://github.com/amberlwan"><img width="40px;" src="https://avatars.githubusercontent.com/amberlwan"> </a><a href="https://github.com/andyjxli"><img width="40px;" src="https://avatars.githubusercontent.com/andyjxli"> </a><a href="https://github.com/zhoulujun"><img width="40px;" src="https://avatars.githubusercontent.com/zhoulujun"> </a><a href="https://github.com/angelzou"><img width="40px;" src="https://avatars.githubusercontent.com/angelzou"> </a><a href="https://github.com/Anlyyao"><img width="40px;" src="https://avatars.githubusercontent.com/Anlyyao"> </a><a href="https://github.com/StephenArk30"><img width="40px;" src="https://avatars.githubusercontent.com/StephenArk30"> </a><a href="https://github.com/asunazeng"><img width="40px;" src="https://avatars.githubusercontent.com/asunazeng"> </a><a href="https://github.com/yc910920"><img width="40px;" src="https://avatars.githubusercontent.com/yc910920"> </a><a href="https://github.com/zhangshupi88"><img width="40px;" src="https://avatars.githubusercontent.com/zhangshupi88"> </a><a href="https://github.com/szu-bee"><img width="40px;" src="https://avatars.githubusercontent.com/szu-bee"> </a><a href="https://github.com/lysongzi"><img width="40px;" src="https://avatars.githubusercontent.com/lysongzi"> </a><a href="https://github.com/ybg555"><img width="40px;" src="https://avatars.githubusercontent.com/ybg555"> </a><a href="https://github.com/boneyx"><img width="40px;" src="https://avatars.githubusercontent.com/boneyx"> </a><a href="https://github.com/brianzhang"><img width="40px;" src="https://avatars.githubusercontent.com/brianzhang"> </a><a href="https://github.com/savioryu"><img width="40px;" src="https://avatars.githubusercontent.com/savioryu"> </a><a href="https://github.com/basecss"><img width="40px;" src="https://avatars.githubusercontent.com/basecss"> </a><a href="https://github.com/daizhan"><img width="40px;" src="https://avatars.githubusercontent.com/daizhan"> </a><a href="https://github.com/DaaMeiling"><img width="40px;" src="https://avatars.githubusercontent.com/DaaMeiling"> </a><a href="https://github.com/candy-Tong"><img width="40px;" src="https://avatars.githubusercontent.com/candy-Tong"> </a><a href="https://github.com/catenliu"><img width="40px;" src="https://avatars.githubusercontent.com/catenliu"> </a><a href="https://github.com/xucz"><img width="40px;" src="https://avatars.githubusercontent.com/xucz"> </a><a href="https://github.com/gnauhca"><img width="40px;" src="https://avatars.githubusercontent.com/gnauhca"> </a><a href="https://github.com/cheer555"><img width="40px;" src="https://avatars.githubusercontent.com/cheer555"> </a><a href="https://github.com/zhangyanggithub"><img width="40px;" src="https://avatars.githubusercontent.com/zhangyanggithub"> </a><a href="https://github.com/usecodelee"><img width="40px;" src="https://avatars.githubusercontent.com/usecodelee"> </a><a href="https://github.com/caihuiji"><img width="40px;" src="https://avatars.githubusercontent.com/caihuiji"> </a><a href="https://github.com/lovechuck"><img width="40px;" src="https://avatars.githubusercontent.com/lovechuck"> </a><a href="https://github.com/Tidyzq"><img width="40px;" src="https://avatars.githubusercontent.com/Tidyzq"> </a><a href="https://github.com/chrrg"><img width="40px;" src="https://avatars.githubusercontent.com/chrrg"> </a><a href="https://github.com/HanYuB"><img width="40px;" src="https://avatars.githubusercontent.com/HanYuB"> </a><a href="https://github.com/297854895"><img width="40px;" src="https://avatars.githubusercontent.com/297854895"> </a><a href="https://github.com/mcc108"><img width="40px;" src="https://avatars.githubusercontent.com/mcc108"> </a><a href="https://github.com/blanky01"><img width="40px;" src="https://avatars.githubusercontent.com/blanky01"> </a><a href="https://github.com/fethink"><img width="40px;" src="https://avatars.githubusercontent.com/fethink"> </a><a href="https://github.com/zhaodanchun"><img width="40px;" src="https://avatars.githubusercontent.com/zhaodanchun"> </a><a href="https://github.com/danedeng"><img width="40px;" src="https://avatars.githubusercontent.com/danedeng"> </a><a href="https://github.com/deantian"><img width="40px;" src="https://avatars.githubusercontent.com/deantian"> </a><a href="https://github.com/delenzhang"><img width="40px;" src="https://avatars.githubusercontent.com/delenzhang"> </a><a href="https://github.com/demi798"><img width="40px;" src="https://avatars.githubusercontent.com/demi798"> </a><a href="https://github.com/DOUBLE-DENG"><img width="40px;" src="https://avatars.githubusercontent.com/DOUBLE-DENG"> </a><a href="https://github.com/ppYoung"><img width="40px;" src="https://avatars.githubusercontent.com/ppYoung"> </a><a href="https://github.com/duenyang"><img width="40px;" src="https://avatars.githubusercontent.com/duenyang"> </a><a href="https://github.com/dreamsqin"><img width="40px;" src="https://avatars.githubusercontent.com/dreamsqin"> </a><a href="https://github.com/Ellenhx"><img width="40px;" src="https://avatars.githubusercontent.com/Ellenhx"> </a><a href="https://github.com/gh1198843222"><img width="40px;" src="https://avatars.githubusercontent.com/gh1198843222"> </a><a href="https://github.com/avenirzheng"><img width="40px;" src="https://avatars.githubusercontent.com/avenirzheng"> </a><a href="https://github.com/EraChen233"><img width="40px;" src="https://avatars.githubusercontent.com/EraChen233"> </a><a href="https://github.com/JJunYang"><img width="40px;" src="https://avatars.githubusercontent.com/JJunYang"> </a><a href="https://github.com/weimingxinas"><img width="40px;" src="https://avatars.githubusercontent.com/weimingxinas"> </a><a href="https://github.com/qinmudi"><img width="40px;" src="https://avatars.githubusercontent.com/qinmudi"> </a><a href="https://github.com/dengxiao0509"><img width="40px;" src="https://avatars.githubusercontent.com/dengxiao0509"> </a><a href="https://github.com/esky"><img width="40px;" src="https://avatars.githubusercontent.com/esky"> </a><a href="https://github.com/eele83"><img width="40px;" src="https://avatars.githubusercontent.com/eele83"> </a><a href="https://github.com/wkdasheng"><img width="40px;" src="https://avatars.githubusercontent.com/wkdasheng"> </a><a href="https://github.com/fayching"><img width="40px;" src="https://avatars.githubusercontent.com/fayching"> </a><a href="https://github.com/hjkcai"><img width="40px;" src="https://avatars.githubusercontent.com/hjkcai"> </a><a href="https://github.com/cuijinyu"><img width="40px;" src="https://avatars.githubusercontent.com/cuijinyu"> </a><a href="https://github.com/zj2015262624"><img width="40px;" src="https://avatars.githubusercontent.com/zj2015262624"> </a><a href="https://github.com/geff1991"><img width="40px;" src="https://avatars.githubusercontent.com/geff1991"> </a><a href="https://github.com/character123"><img width="40px;" src="https://avatars.githubusercontent.com/character123"> </a><a href="https://github.com/kajweb"><img width="40px;" src="https://avatars.githubusercontent.com/kajweb"> </a><a href="https://github.com/scshsy"><img width="40px;" src="https://avatars.githubusercontent.com/scshsy"> </a><a href="https://github.com/pangao66"><img width="40px;" src="https://avatars.githubusercontent.com/pangao66"> </a><a href="https://github.com/ctudoudou"><img width="40px;" src="https://avatars.githubusercontent.com/ctudoudou"> </a><a href="https://github.com/cool-518"><img width="40px;" src="https://avatars.githubusercontent.com/cool-518"> </a><a href="https://github.com/ximendatie"><img width="40px;" src="https://avatars.githubusercontent.com/ximendatie"> </a><a href="https://github.com/hedonghui"><img width="40px;" src="https://avatars.githubusercontent.com/hedonghui"> </a><a href="https://github.com/jh46666"><img width="40px;" src="https://avatars.githubusercontent.com/jh46666"> </a><a href="https://github.com/hualyz"><img width="40px;" src="https://avatars.githubusercontent.com/hualyz"> </a><a href="https://github.com/ikeq"><img width="40px;" src="https://avatars.githubusercontent.com/ikeq"> </a><a href="https://github.com/takumashin"><img width="40px;" src="https://avatars.githubusercontent.com/takumashin"> </a><a href="https://github.com/iplus26"><img width="40px;" src="https://avatars.githubusercontent.com/iplus26"> </a><a href="https://github.com/yuhongz"><img width="40px;" src="https://avatars.githubusercontent.com/yuhongz"> </a><a href="https://github.com/IvinWu"><img width="40px;" src="https://avatars.githubusercontent.com/IvinWu"> </a><a href="https://github.com/pengYYYYY"><img width="40px;" src="https://avatars.githubusercontent.com/pengYYYYY"> </a><a href="https://github.com/joriewong"><img width="40px;" src="https://avatars.githubusercontent.com/joriewong"> </a><a href="https://github.com/jin0209"><img width="40px;" src="https://avatars.githubusercontent.com/jin0209"> </a><a href="https://github.com/tengcaifeng"><img width="40px;" src="https://avatars.githubusercontent.com/tengcaifeng"> </a><a href="https://github.com/BigLiao"><img width="40px;" src="https://avatars.githubusercontent.com/BigLiao"> </a><a href="https://github.com/jchalex"><img width="40px;" src="https://avatars.githubusercontent.com/jchalex"> </a><a href="https://github.com/xkelvinx666"><img width="40px;" src="https://avatars.githubusercontent.com/xkelvinx666"> </a><a href="https://github.com/qidaneix"><img width="40px;" src="https://avatars.githubusercontent.com/qidaneix"> </a><a href="https://github.com/weijiyang"><img width="40px;" src="https://avatars.githubusercontent.com/weijiyang"> </a><a href="https://github.com/jonathanchoiii"><img width="40px;" src="https://avatars.githubusercontent.com/jonathanchoiii"> </a><a href="https://github.com/xiaoyaojones"><img width="40px;" src="https://avatars.githubusercontent.com/xiaoyaojones"> </a><a href="https://github.com/JosonYang"><img width="40px;" src="https://avatars.githubusercontent.com/JosonYang"> </a><a href="https://github.com/joyjjj"><img width="40px;" src="https://avatars.githubusercontent.com/joyjjj"> </a><a href="https://github.com/jrainlau"><img width="40px;" src="https://avatars.githubusercontent.com/jrainlau"> </a><a href="https://github.com/Wen1kang"><img width="40px;" src="https://avatars.githubusercontent.com/Wen1kang"> </a><a href="https://github.com/kenzyyang"><img width="40px;" src="https://avatars.githubusercontent.com/kenzyyang"> </a><a href="https://github.com/kidjayhuang"><img width="40px;" src="https://avatars.githubusercontent.com/kidjayhuang"> </a><a href="https://github.com/gedy"><img width="40px;" src="https://avatars.githubusercontent.com/gedy"> </a><a href="https://github.com/shuizhongyue120"><img width="40px;" src="https://avatars.githubusercontent.com/shuizhongyue120"> </a><a href="https://github.com/krimeshu"><img width="40px;" src="https://avatars.githubusercontent.com/krimeshu"> </a><a href="https://github.com/skytt"><img width="40px;" src="https://avatars.githubusercontent.com/skytt"> </a><a href="https://github.com/HQ-Lin"><img width="40px;" src="https://avatars.githubusercontent.com/HQ-Lin"> </a><a href="https://github.com/LAWTED"><img width="40px;" src="https://avatars.githubusercontent.com/LAWTED"> </a><a href="https://github.com/LeeJim"><img width="40px;" src="https://avatars.githubusercontent.com/LeeJim"> </a><a href="https://github.com/yeshanshan"><img width="40px;" src="https://avatars.githubusercontent.com/yeshanshan"> </a><a href="https://github.com/titicomein"><img width="40px;" src="https://avatars.githubusercontent.com/titicomein"> </a><a href="https://github.com/Nice-PLQ"><img width="40px;" src="https://avatars.githubusercontent.com/Nice-PLQ"> </a><a href="https://github.com/yeliup"><img width="40px;" src="https://avatars.githubusercontent.com/yeliup"> </a><a href="https://github.com/Simmon12"><img width="40px;" src="https://avatars.githubusercontent.com/Simmon12"> </a><a href="https://github.com/dufemeng"><img width="40px;" src="https://avatars.githubusercontent.com/dufemeng"> </a><a href="https://github.com/94dreamer"><img width="40px;" src="https://avatars.githubusercontent.com/94dreamer"> </a><a href="https://github.com/mxj0808"><img width="40px;" src="https://avatars.githubusercontent.com/mxj0808"> </a><a href="https://github.com/gayhug"><img width="40px;" src="https://avatars.githubusercontent.com/gayhug"> </a><a href="https://github.com/magentaqin"><img width="40px;" src="https://avatars.githubusercontent.com/magentaqin"> </a><a href="https://github.com/yiting"><img width="40px;" src="https://avatars.githubusercontent.com/yiting"> </a><a href="https://github.com/MarvenGong"><img width="40px;" src="https://avatars.githubusercontent.com/MarvenGong"> </a><a href="https://github.com/chiangming"><img width="40px;" src="https://avatars.githubusercontent.com/chiangming"> </a><a href="https://github.com/Godlike-meteor"><img width="40px;" src="https://avatars.githubusercontent.com/Godlike-meteor"> </a><a href="https://github.com/Stone40"><img width="40px;" src="https://avatars.githubusercontent.com/Stone40"> </a><a href="https://github.com/wookaoer"><img width="40px;" src="https://avatars.githubusercontent.com/wookaoer"> </a><a href="https://github.com/huihuimoe"><img width="40px;" src="https://avatars.githubusercontent.com/huihuimoe"> </a><a href="https://github.com/mokywu"><img width="40px;" src="https://avatars.githubusercontent.com/mokywu"> </a><a href="https://github.com/mingjiezhang"><img width="40px;" src="https://avatars.githubusercontent.com/mingjiezhang"> </a><a href="https://github.com/mixiaola"><img width="40px;" src="https://avatars.githubusercontent.com/mixiaola"> </a><a href="https://github.com/Nick-Tsao"><img width="40px;" src="https://avatars.githubusercontent.com/Nick-Tsao"> </a><a href="https://github.com/vnues"><img width="40px;" src="https://avatars.githubusercontent.com/vnues"> </a><a href="https://github.com/iamocean"><img width="40px;" src="https://avatars.githubusercontent.com/iamocean"> </a><a href="https://github.com/Perisiguiendo"><img width="40px;" src="https://avatars.githubusercontent.com/Perisiguiendo"> </a><a href="https://github.com/backrunner"><img width="40px;" src="https://avatars.githubusercontent.com/backrunner"> </a><a href="https://github.com/orihuang"><img width="40px;" src="https://avatars.githubusercontent.com/orihuang"> </a><a href="https://github.com/pearqin"><img width="40px;" src="https://avatars.githubusercontent.com/pearqin"> </a><a href="https://github.com/huangpiqiao"><img width="40px;" src="https://avatars.githubusercontent.com/huangpiqiao"> </a><a href="https://github.com/peunzhang"><img width="40px;" src="https://avatars.githubusercontent.com/peunzhang"> </a><a href="https://github.com/chrysalis1215"><img width="40px;" src="https://avatars.githubusercontent.com/chrysalis1215"> </a><a href="https://github.com/Lipinghai"><img width="40px;" src="https://avatars.githubusercontent.com/Lipinghai"> </a><a href="https://github.com/pxp995"><img width="40px;" src="https://avatars.githubusercontent.com/pxp995"> </a><a href="https://github.com/GAOGAO1994"><img width="40px;" src="https://avatars.githubusercontent.com/GAOGAO1994"> </a><a href="https://github.com/enjkvbej"><img width="40px;" src="https://avatars.githubusercontent.com/enjkvbej"> </a><a href="https://github.com/Ruio9244"><img width="40px;" src="https://avatars.githubusercontent.com/Ruio9244"> </a><a href="https://github.com/sisterray"><img width="40px;" src="https://avatars.githubusercontent.com/sisterray"> </a><a href="https://github.com/BaoTao1997"><img width="40px;" src="https://avatars.githubusercontent.com/BaoTao1997"> </a><a href="https://github.com/zhenzhencai"><img width="40px;" src="https://avatars.githubusercontent.com/zhenzhencai"> </a><a href="https://github.com/wolfsilver"><img width="40px;" src="https://avatars.githubusercontent.com/wolfsilver"> </a><a href="https://github.com/RomeoChen"><img width="40px;" src="https://avatars.githubusercontent.com/RomeoChen"> </a><a href="https://github.com/rorikzhang0505"><img width="40px;" src="https://avatars.githubusercontent.com/rorikzhang0505"> </a><a href="https://github.com/thinkanymore"><img width="40px;" src="https://avatars.githubusercontent.com/thinkanymore"> </a><a href="https://github.com/dlhandsome"><img width="40px;" src="https://avatars.githubusercontent.com/dlhandsome"> </a><a href="https://github.com/HongSiyuan"><img width="40px;" src="https://avatars.githubusercontent.com/HongSiyuan"> </a><a href="https://github.com/xianshannan"><img width="40px;" src="https://avatars.githubusercontent.com/xianshannan"> </a><a href="https://github.com/Ruoleery"><img width="40px;" src="https://avatars.githubusercontent.com/Ruoleery"> </a><a href="https://github.com/sanfengliao"><img width="40px;" src="https://avatars.githubusercontent.com/sanfengliao"> </a><a href="https://github.com/psaren"><img width="40px;" src="https://avatars.githubusercontent.com/psaren"> </a><a href="https://github.com/sharryling"><img width="40px;" src="https://avatars.githubusercontent.com/sharryling"> </a><a href="https://github.com/chaishi"><img width="40px;" src="https://avatars.githubusercontent.com/chaishi"> </a><a href="https://github.com/PsTiu"><img width="40px;" src="https://avatars.githubusercontent.com/PsTiu"> </a><a href="https://github.com/shiyanZhang"><img width="40px;" src="https://avatars.githubusercontent.com/shiyanZhang"> </a><a href="https://github.com/Petpanda"><img width="40px;" src="https://avatars.githubusercontent.com/Petpanda"> </a><a href="https://github.com/shryzhang"><img width="40px;" src="https://avatars.githubusercontent.com/shryzhang"> </a><a href="https://github.com/smile33"><img width="40px;" src="https://avatars.githubusercontent.com/smile33"> </a><a href="https://github.com/start940315"><img width="40px;" src="https://avatars.githubusercontent.com/start940315"> </a><a href="https://github.com/BuptStEve"><img width="40px;" src="https://avatars.githubusercontent.com/BuptStEve"> </a><a href="https://github.com/sugerliu1995"><img width="40px;" src="https://avatars.githubusercontent.com/sugerliu1995"> </a><a href="https://github.com/zhangfaholleword"><img width="40px;" src="https://avatars.githubusercontent.com/zhangfaholleword"> </a><a href="https://github.com/TabSpace"><img width="40px;" src="https://avatars.githubusercontent.com/TabSpace"> </a><a href="https://github.com/pattybaby110"><img width="40px;" src="https://avatars.githubusercontent.com/pattybaby110"> </a><a href="https://github.com/techird"><img width="40px;" src="https://avatars.githubusercontent.com/techird"> </a><a href="https://github.com/Tingglelaoo"><img width="40px;" src="https://avatars.githubusercontent.com/Tingglelaoo"> </a><a href="https://github.com/Red626"><img width="40px;" src="https://avatars.githubusercontent.com/Red626"> </a><a href="https://github.com/vistintin"><img width="40px;" src="https://avatars.githubusercontent.com/vistintin"> </a><a href="https://github.com/fomenyesu"><img width="40px;" src="https://avatars.githubusercontent.com/fomenyesu"> </a><a href="https://github.com/ssthouse"><img width="40px;" src="https://avatars.githubusercontent.com/ssthouse"> </a><a href="https://github.com/fengzheqi"><img width="40px;" src="https://avatars.githubusercontent.com/fengzheqi"> </a><a href="https://github.com/wutianSweet"><img width="40px;" src="https://avatars.githubusercontent.com/wutianSweet"> </a><a href="https://github.com/lixingdecai"><img width="40px;" src="https://avatars.githubusercontent.com/lixingdecai"> </a><a href="https://github.com/uyarn"><img width="40px;" src="https://avatars.githubusercontent.com/uyarn"> </a><a href="https://github.com/byq1213"><img width="40px;" src="https://avatars.githubusercontent.com/byq1213"> </a><a href="https://github.com/jsonz1993"><img width="40px;" src="https://avatars.githubusercontent.com/jsonz1993"> </a><a href="https://github.com/zhuangbb"><img width="40px;" src="https://avatars.githubusercontent.com/zhuangbb"> </a><a href="https://github.com/ccccpj"><img width="40px;" src="https://avatars.githubusercontent.com/ccccpj"> </a><a href="https://github.com/agmilli"><img width="40px;" src="https://avatars.githubusercontent.com/agmilli"> </a><a href="https://github.com/ZHANG134274"><img width="40px;" src="https://avatars.githubusercontent.com/ZHANG134274"> </a><a href="https://github.com/octopustail"><img width="40px;" src="https://avatars.githubusercontent.com/octopustail"> </a><a href="https://github.com/xy60cn"><img width="40px;" src="https://avatars.githubusercontent.com/xy60cn"> </a><a href="https://github.com/xughv"><img width="40px;" src="https://avatars.githubusercontent.com/xughv"> </a><a href="https://github.com/Liangyongxian"><img width="40px;" src="https://avatars.githubusercontent.com/Liangyongxian"> </a><a href="https://github.com/vision-yip"><img width="40px;" src="https://avatars.githubusercontent.com/vision-yip"> </a><a href="https://github.com/wayjam"><img width="40px;" src="https://avatars.githubusercontent.com/wayjam"> </a><a href="https://github.com/Winfans"><img width="40px;" src="https://avatars.githubusercontent.com/Winfans"> </a><a href="https://github.com/weikee94"><img width="40px;" src="https://avatars.githubusercontent.com/weikee94"> </a><a href="https://github.com/wendellhu95"><img width="40px;" src="https://avatars.githubusercontent.com/wendellhu95"> </a><a href="https://github.com/huadashao520"><img width="40px;" src="https://avatars.githubusercontent.com/huadashao520"> </a><a href="https://github.com/wenjul"><img width="40px;" src="https://avatars.githubusercontent.com/wenjul"> </a><a href="https://github.com/JackFruitxx"><img width="40px;" src="https://avatars.githubusercontent.com/JackFruitxx"> </a><a href="https://github.com/1166544"><img width="40px;" src="https://avatars.githubusercontent.com/1166544"> </a><a href="https://github.com/LuckyWinty"><img width="40px;" src="https://avatars.githubusercontent.com/LuckyWinty"> </a><a href="https://github.com/ldwonday"><img width="40px;" src="https://avatars.githubusercontent.com/ldwonday"> </a><a href="https://github.com/Wonder233"><img width="40px;" src="https://avatars.githubusercontent.com/Wonder233"> </a><a href="https://github.com/xihangzhou"><img width="40px;" src="https://avatars.githubusercontent.com/xihangzhou"> </a><a href="https://github.com/xinranzhou"><img width="40px;" src="https://avatars.githubusercontent.com/xinranzhou"> </a><a href="https://github.com/Athenaqin"><img width="40px;" src="https://avatars.githubusercontent.com/Athenaqin"> </a><a href="https://github.com/Ogurimuio"><img width="40px;" src="https://avatars.githubusercontent.com/Ogurimuio"> </a><a href="https://github.com/zhanxu33"><img width="40px;" src="https://avatars.githubusercontent.com/zhanxu33"> </a><a href="https://github.com/Yacent"><img width="40px;" src="https://avatars.githubusercontent.com/Yacent"> </a><a href="https://github.com/cfool"><img width="40px;" src="https://avatars.githubusercontent.com/cfool"> </a><a href="https://github.com/dellyoung"><img width="40px;" src="https://avatars.githubusercontent.com/dellyoung"> </a><a href="https://github.com/zhning12"><img width="40px;" src="https://avatars.githubusercontent.com/zhning12"> </a><a href="https://github.com/airkingZy"><img width="40px;" src="https://avatars.githubusercontent.com/airkingZy"> </a><a href="https://github.com/yorickili"><img width="40px;" src="https://avatars.githubusercontent.com/yorickili"> </a><a href="https://github.com/huangyoukun"><img width="40px;" src="https://avatars.githubusercontent.com/huangyoukun"> </a><a href="https://github.com/xiaota"><img width="40px;" src="https://avatars.githubusercontent.com/xiaota"> </a><a href="https://github.com/yuiqin"><img width="40px;" src="https://avatars.githubusercontent.com/yuiqin"> </a><a href="https://github.com/yorick304"><img width="40px;" src="https://avatars.githubusercontent.com/yorick304"> </a><a href="https://github.com/yunfeic"><img width="40px;" src="https://avatars.githubusercontent.com/yunfeic"> </a><a href="https://github.com/ummo"><img width="40px;" src="https://avatars.githubusercontent.com/ummo"> </a><a href="https://github.com/Zack921"><img width="40px;" src="https://avatars.githubusercontent.com/Zack921"> </a><a href="https://github.com/lllllllqw"><img width="40px;" src="https://avatars.githubusercontent.com/lllllllqw"> </a><a href="https://github.com/zhanzekun"><img width="40px;" src="https://avatars.githubusercontent.com/zhanzekun"> </a><a href="https://github.com/classmatewu"><img width="40px;" src="https://avatars.githubusercontent.com/classmatewu"> </a><a href="https://github.com/xiaosansiji"><img width="40px;" src="https://avatars.githubusercontent.com/xiaosansiji"> </a><a href="https://github.com/helloli"><img width="40px;" src="https://avatars.githubusercontent.com/helloli"> </a><a href="https://github.com/zwingz"><img width="40px;" src="https://avatars.githubusercontent.com/zwingz"> </a><a href="https://github.com/veggieggggg"><img width="40px;" src="https://avatars.githubusercontent.com/veggieggggg"> </a><a href="https://github.com/aileen0112"><img width="40px;" src="https://avatars.githubusercontent.com/aileen0112"> </a><a href="https://github.com/pb-cheung"><img width="40px;" src="https://avatars.githubusercontent.com/pb-cheung"> </a><a href="https://github.com/Michael-Zhang-Xian-Sen"><img width="40px;" src="https://avatars.githubusercontent.com/Michael-Zhang-Xian-Sen"> </a><a href="https://github.com/amaoliu"><img width="40px;" src="https://avatars.githubusercontent.com/amaoliu"> </a><a href="https://github.com/sameenzm"><img width="40px;" src="https://avatars.githubusercontent.com/sameenzm"> </a><a href="https://github.com/hijiangtao"><img width="40px;" src="https://avatars.githubusercontent.com/hijiangtao"> </a><a href="https://github.com/ong17"><img width="40px;" src="https://avatars.githubusercontent.com/ong17"> </a><a href="https://github.com/igaves"><img width="40px;" src="https://avatars.githubusercontent.com/igaves"> </a><a href="https://github.com/kangmo123"><img width="40px;" src="https://avatars.githubusercontent.com/kangmo123"> </a><a href="https://github.com/pageee1021"><img width="40px;" src="https://avatars.githubusercontent.com/pageee1021"> </a><a href="https://github.com/libo1106"><img width="40px;" src="https://avatars.githubusercontent.com/libo1106"> </a><a href="https://github.com/yongqiu"><img width="40px;" src="https://avatars.githubusercontent.com/yongqiu"> </a><a href="https://github.com/heyouquan"><img width="40px;" src="https://avatars.githubusercontent.com/heyouquan"> </a><a href="https://github.com/liulu4899681"><img width="40px;" src="https://avatars.githubusercontent.com/liulu4899681"> </a><a href="https://github.com/jonnyjxu"><img width="40px;" src="https://avatars.githubusercontent.com/jonnyjxu"> </a><a href="https://github.com/szc900311"><img width="40px;" src="https://avatars.githubusercontent.com/szc900311"> </a><a href="https://github.com/L-small"><img width="40px;" src="https://avatars.githubusercontent.com/L-small"> </a><a href="https://github.com/Joy-Wang"><img width="40px;" src="https://avatars.githubusercontent.com/Joy-Wang"> </a><a href="https://github.com/quanxiaole"><img width="40px;" src="https://avatars.githubusercontent.com/quanxiaole"> </a><a href="https://github.com/maidishike"><img width="40px;" src="https://avatars.githubusercontent.com/maidishike"> </a><a href="https://github.com/xiaoliang2535"><img width="40px;" src="https://avatars.githubusercontent.com/xiaoliang2535"> </a><a href="https://github.com/fatwill"><img width="40px;" src="https://avatars.githubusercontent.com/fatwill"> </a><a href="https://github.com/serenaxxsun"><img width="40px;" src="https://avatars.githubusercontent.com/serenaxxsun"> </a><a href="https://github.com/handanhappy"><img width="40px;" src="https://avatars.githubusercontent.com/handanhappy"> </a><a href="https://github.com/jas0ncn"><img width="40px;" src="https://avatars.githubusercontent.com/jas0ncn"> </a><a href="https://github.com/henryz00"><img width="40px;" src="https://avatars.githubusercontent.com/henryz00"> </a><a href="https://github.com/yt253284494"><img width="40px;" src="https://avatars.githubusercontent.com/yt253284494"> </a><a href="https://github.com/isMatthewmeng"><img width="40px;" src="https://avatars.githubusercontent.com/isMatthewmeng"> </a><a href="https://github.com/Lyrics1"><img width="40px;" src="https://avatars.githubusercontent.com/Lyrics1"> </a><a href="https://github.com/Jeff2Ma"><img width="40px;" src="https://avatars.githubusercontent.com/Jeff2Ma"> </a><a href="https://github.com/BluesFisher"><img width="40px;" src="https://avatars.githubusercontent.com/BluesFisher"> </a><a href="https://github.com/Apollolan"><img width="40px;" src="https://avatars.githubusercontent.com/Apollolan"> </a><a href="https://github.com/queenzhou2021"><img width="40px;" src="https://avatars.githubusercontent.com/queenzhou2021"> </a><a href="https://github.com/danayang0805"><img width="40px;" src="https://avatars.githubusercontent.com/danayang0805"> </a><a href="https://github.com/Carol-chuchu"><img width="40px;" src="https://avatars.githubusercontent.com/Carol-chuchu"> </a><a href="https://github.com/jonrjiang"><img width="40px;" src="https://avatars.githubusercontent.com/jonrjiang"> </a><a href="https://github.com/rayleeli"><img width="40px;" src="https://avatars.githubusercontent.com/rayleeli"> </a><a href="https://github.com/sharowuu"><img width="40px;" src="https://avatars.githubusercontent.com/sharowuu"> </a><a href="https://github.com/jasonxbjia"><img width="40px;" src="https://avatars.githubusercontent.com/jasonxbjia"> </a><a href="https://github.com/luluyang429"><img width="40px;" src="https://avatars.githubusercontent.com/luluyang429"> </a><a href="https://github.com/Matata7"><img width="40px;" src="https://avatars.githubusercontent.com/Matata7"> </a></div>

## 参与贡献

请参照[《如何贡献》](https://tdesign.tencent.com/about/contributing)文档。

## 反馈

有任何问题，建议通过 [Github issues](https://github.com/Tencent/tdesign/issues) 反馈或扫码加入用户微信群。

<img src="https://oteam-tdesign-1258344706.cos.ap-guangzhou.myqcloud.com/site/doc/TDesign%20IM.png" width="200" />

## 开源协议

TDesign 使用 [MIT 协议](./LICENSE)。
